Subject: Re: bug#78356: Broken system and home containers

From: Rutherther <[email-masked]>
Date: Mon, 12 May 2025 12:29:23 +0200

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Rutherther <[email-masked]> writes:
>
>> The command was `guix home container -L ./home/modules ./home/home-container.scm`
>> in my repository. It's here https://git.ditigal.xyz/~ruther/guix-config.
>> Any idea what service could cause this behavior with lock-mounts? Would
>> be good to isolate it, but I am not sure where to start.
>>
>> Here is the unshare error I was talking about earlier:
>>> guix home: error: unshare: 268566528: Invalid argument
>> Now I am getting it consistently, before it was missing sometimes.
>
> Could you copy paste the command and its output, to be sure there’s no
> misunderstanding?

Sure

--8<---------------cut here---------------start------------->8---
[ruther:~/.setup] main(+68/-13)* 15s ± 
> ./target/guix/bin/guix home container -L ./home/modules ./home/home-configuration.scm 
guix home: warning: failed to load '(ruther home channels-emacs)':
no code for module (ruther home channels-emacs)
ruther/home/channels-emacs.scm:1:0: warning: module name (channels) does not match file name 'ruther/home/channels-emacs.scm'
hint: File `./home/modules/ruther/home/channels-emacs.scm' should probably start with:

     (define-module (ruther home channels-emacs))

guix home: warning: ambiguous package specification `font-ubuntu'
guix home: warning: choosing [email-masked] from ruther/home/fonts.scm:8:2
guix home: error: unshare: 268566528: Invalid argument
Backtrace:
          18 (primitive-load "/home/ruther/.setup/./target/guix/bin/…")
In guix/ui.scm:
   2369:7 17 (run-guix . _)
  2332:10 16 (run-guix-command _ . _)
In ice-9/boot-9.scm:
  1752:10 15 (with-exception-handler _ _ #:unwind? _ # _)
In guix/status.scm:
    859:3 14 (_)
    839:4 13 (call-with-status-report _ _)
In guix/scripts/home.scm:
    547:4 12 (_)
In ice-9/boot-9.scm:
  1752:10 11 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
   690:37 10 (thunk)
   1331:8  9 (call-with-build-handler _ _)
   1331:8  8 (call-with-build-handler _ _)
   1331:8  7 (call-with-build-handler #<procedure 7fa85bf53930 at g…> …)
  2212:25  6 (run-with-store #<store-connection 256.100 7fa85cec65a0> …)
In guix/scripts/home.scm:
   465:14  5 (_ _)
In gnu/system/linux-container.scm:
   349:17  4 (_ _)
In gnu/build/linux-container.scm:
    485:7  3 (call-with-container _ _ #:namespaces _ #:host-uids _ # …)
In unknown file:
           2 (waitpid #f #<undefined>)
In ice-9/boot-9.scm:
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Wrong type (expecting exact integer): #f
θ61° [ruther:~/.setup] main(+68/-13)* 58s 1 ± 
> ./target/guix/bin/guix describe                                                      
  guix 300d29e
    repository URL: https://codeberg.org/guix/guix-mirror
    branch: master
    commit: 300d29e69988caf23684f08effa51f621c7ec083
  nonguix 1940698
    repository URL: https://gitlab.com/nonguix/nonguix
    branch: master
    commit: 19406981a9bf9d0b140180f1f3008cb91f716b4b
  ruther 1a49e47
    repository URL: https://git.ditigal.xyz/~ruther/guix-exprs
    branch: main
    commit: 1a49e4760bd922237532fa2eee44bc9e1fe42399
  rde bf8f628
    repository URL: https://git.sr.ht/~abcdw/rde
    branch: master
    commit: bf8f628c4deb9acc94e261db80d301048ea1f0a2
--8<---------------cut here---------------end--------------->8---

>
> This is on Guix System, right?

Yes

> Thanks,
> Ludo’.